import controler.*;
public class Formula{
public static float formuleCanal20(int di){
float df=di;

return df;}
public static float formuleCanal21(int di){
float df=di;
df = (df - 999.0f) * (Util.KMHNOEUD * 0.01f);
return df;}
public static float formuleCanal22(int di){
float df=di;
df *= (Util.PIEDM * 0.1);
return df;}
public static float formuleCanal23(int di){
float df=di;
df = di - 180;
return df;}
public static float formuleCanal24(int di){
float df=di;
	if (df > 360.0f)
	df -= 720;	df *= 0.5;
return df;}
public static float formuleCanal25(int di){
float df=di;

return df;}
public static float formuleCanal26(int di){
float df=di;
di = di / 60;
df = (float) ((di - di * 60.0) * 0.01 + di);
return df;}
public static float formuleCanal27(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal28(int di){
float df=di;

return df;}
public static float formuleCanal29(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal30(int di){
float df=di;
if (df > 540.0)
	df -= 1080.0;
	df *= 0.3333333333333333f;
return df;}
public static float formuleCanal31(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal32(int di){
float df=di;

return df;}
public static float formuleCanal33(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal34(int di){
float df=di;

return df;}
public static float formuleCanal35(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal36(int di){
float df=di;

return df;}
public static float formuleCanal37(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal38(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal39(int di){
float df=di;

return df;}
public static float formuleCanal40(int di){
float df=di;
df *= (Util.KMHNOEUD * 0.01);
return df;}
public static float formuleCanal41(int di){
float df=di;
df *= (Util.KMHNOEUD * 0.01);
return df;}
public static float formuleCanal42(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal43(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal44(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal45(int di){
float df=di;

return df;}
public static float formuleCanal46(int di){
float df=di;

return df;}
public static float formuleCanal47(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal48(int di){
float df=di;
df = 0.1f * (di * Util.PE_FARCEL - Util.OF_FARCEL);
return df;}
public static float formuleCanal49(int di){
float df=di;
df = 0.1f * (di * Util.PE_FARCEL - Util.OF_FARCEL);
return df;}
public static float formuleCanal50(int di){
float df=di;

return df;}
public static float formuleCanal51(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal52(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal53(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal54(int di){
float df=di;

return df;}
public static float formuleCanal55(int di){
float df=di;

return df;}
public static float formuleCanal56(int di){
float df=di;
df = (float) (4.0 - di);
return df;}
public static float formuleCanal57(int di){
float df=di;

return df;}
public static float formuleCanal58(int di){
float df=di;
df = (df - 999.0f) * (Util.KMHNOEUD * 0.01f);
return df;}
public static float formuleCanal59(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal60(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal61(int di){
float df=di;

return df;}
public static float formuleCanal62(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal63(int di){
float df=di;

return df;}
public static float formuleCanal64(int di){
float df=di;
df = (df - 999.0f) * 0.01f;
return df;}
public static float formuleCanal65(int di){
float df=di;
df *= (Util.KMHNOEUD * 0.01);
return df;}
public static float formuleCanal66(int di){
float df=di;

return df;}
public static float formuleCanal67(int di){
float df=di;
df *= (Util.KMHNOEUD * 0.01);
return df;}
public static float formuleCanal68(int di){
float df=di;

return df;}
public static float formuleCanal69(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal70(int di){
float df=di;

return df;}
public static float formuleCanal71(int di){
float df=di;

return df;}
public static float formuleCanal72(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal73(int di){
float df=di;

return df;}
public static float formuleCanal74(int di){
float df=di;

return df;}
public static float formuleCanal75(int di){
float df=di;

return df;}
public static float formuleCanal76(int di){
float df=di;
df *= (Util.KMHNOEUD * 0.01);
return df;}
public static float formuleCanal77(int di){
float df=di;

return df;}
public static float formuleCanal78(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal79(int di){
float df=di;

return df;}
public static float formuleCanal80(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal81(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal82(int di){
float df=di;
df = 0.1f * (di * Util.PE_FARCEL - Util.OF_FARCEL);
return df;}
public static float formuleCanal83(int di){
float df=di;

return df;}
public static float formuleCanal84(int di){
float df=di;

return df;}
public static float formuleCanal85(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal86(int di){
float df=di;
df = 0.01f * (float) (di & 0x003F)
;df = df + (float) ((di & 0x3FC0) >> 6);
if ((di & 0x4000) == 0)
df *= -1.0;
return df;}
public static float formuleCanal87(int di){
float df=di;
df = 0.0001f * ((float) (di & 0x3FFF));
return df;}
public static float formuleCanal88(int di){
float df=di;
df = 0.01f * (float) (di & 0x003F)
;df = df + (float) ((di & 0x3FC0) >> 6);
if ((di & 0x4000) == 0)
df *= -1.0;
return df;}
public static float formuleCanal89(int di){
float df=di;
df = 0.0001f * ((float) (di & 0x3FFF));
return df;}
public static float formuleCanal90(int di){
float df=di;

return df;}
public static float formuleCanal91(int di){
float df=di;
df *= 0.0625;
return df;}
public static float formuleCanal92(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal93(int di){
float df=di;
df = (df - 16384.0f) * 0.01f;
return df;}
public static float formuleCanal94(int di){
float df=di;

return df;}
public static float formuleCanal95(int di){
float df=di;

return df;}
public static float formuleCanal96(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal97(int di){
float df=di;
df = (df - 16384.0f) * 0.01f;
return df;}
public static float formuleCanal98(int di){
float df=di;

return df;}
public static float formuleCanal99(int di){
float df=di;

return df;}
public static float formuleCanal100(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal101(int di){
float df=di;

return df;}
public static float formuleCanal102(int di){
float df=di;

return df;}
public static float formuleCanal103(int di){
float df=di;

return df;}
public static float formuleCanal104(int di){
float df=di;

return df;}
public static float formuleCanal105(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal106(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal107(int di){
float df=di;

return df;}
public static float formuleCanal108(int di){
float df=di;

return df;}
public static float formuleCanal109(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal110(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal111(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal112(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal113(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal114(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal115(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal116(int di){
float df=di;

return df;}
public static float formuleCanal117(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal118(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal119(int di){
float df=di;

return df;}
public static float formuleCanal120(int di){
float df=di;
df = (df - 999.0f) * (Util.KMHNOEUD * 0.01f);
return df;}
public static float formuleCanal121(int di){
float df=di;

return df;}
public static float formuleCanal122(int di){
float df=di;

return df;}
public static float formuleCanal123(int di){
float df=di;

return df;}
public static float formuleCanal124(int di){
float df=di;
df = (df - 999.0f) * (Util.KMHNOEUD * 0.01f);
return df;}
public static float formuleCanal125(int di){
float df=di;

return df;}
public static float formuleCanal126(int di){
float df=di;

return df;}
public static float formuleCanal127(int di){
float df=di;

return df;}
public static float formuleCanal128(int di){
float df=di;

return df;}
public static float formuleCanal129(int di){
float df=di;

return df;}
public static float formuleCanal130(int di){
float df=di;

return df;}
public static float formuleCanal131(int di){
float df=di;

return df;}
public static float formuleCanal132(int di){
float df=di;

return df;}
public static float formuleCanal133(int di){
float df=di;

return df;}
public static float formuleCanal134(int di){
float df=di;

return df;}
public static float formuleCanal135(int di){
float df=di;

return df;}
public static float formuleCanal136(int di){
float df=di;

return df;}
public static float formuleCanal137(int di){
float df=di;

return df;}
public static float formuleCanal138(int di){
float df=di;

return df;}
public static float formuleCanal139(int di){
float df=di;

return df;}
public static float formuleCanal140(int di){
float df=di;

return df;}
public static float formuleCanal141(int di){
float df=di;

return df;}
public static float formuleCanal142(int di){
float df=di;

return df;}
public static float formuleCanal143(int di){
float df=di;

return df;}
public static float formuleCanal144(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal145(int di){
float df=di;

return df;}
public static float formuleCanal146(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal147(int di){
float df=di;

return df;}
public static float formuleCanal148(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal149(int di){
float df=di;

return df;}
public static float formuleCanal150(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal151(int di){
float df=di;

return df;}
public static float formuleCanal152(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal153(int di){
float df=di;

return df;}
public static float formuleCanal154(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal155(int di){
float df=di;

return df;}
public static float formuleCanal156(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal157(int di){
float df=di;

return df;}
public static float formuleCanal158(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal159(int di){
float df=di;

return df;}
public static float formuleCanal160(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal161(int di){
float df=di;

return df;}
public static float formuleCanal162(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal163(int di){
float df=di;

return df;}
public static float formuleCanal164(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal165(int di){
float df=di;

return df;}
public static float formuleCanal166(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal167(int di){
float df=di;

return df;}
public static float formuleCanal168(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal169(int di){
float df=di;

return df;}
public static float formuleCanal170(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal171(int di){
float df=di;

return df;}
public static float formuleCanal172(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal173(int di){
float df=di;

return df;}
public static float formuleCanal174(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal175(int di){
float df=di;

return df;}
public static float formuleCanal176(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal177(int di){
float df=di;
df = (df - 16384.0f) * 0.01f;
return df;}
public static float formuleCanal178(int di){
float df=di;

return df;}
public static float formuleCanal179(int di){
float df=di;

return df;}
public static float formuleCanal180(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal181(int di){
float df=di;
df = (df - 16384.0f) * 0.01f;
return df;}
public static float formuleCanal182(int di){
float df=di;

return df;}
public static float formuleCanal183(int di){
float df=di;

return df;}
public static float formuleCanal184(int di){
float df=di;

return df;}
public static float formuleCanal185(int di){
float df=di;
df = (df - 999.0f) * (Util.KMHNOEUD * 0.01f);
return df;}
public static float formuleCanal186(int di){
float df=di;
df = (df - 999.0f) * (Util.KMHNOEUD * 0.01f);
return df;}
public static float formuleCanal187(int di){
float df=di;

return df;}
public static float formuleCanal188(int di){
float df=di;

return df;}
public static float formuleCanal189(int di){
float df=di;

return df;}
public static float formuleCanal190(int di){
float df=di;

return df;}
public static float formuleCanal191(int di){
float df=di;

return df;}
public static float formuleCanal192(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal193(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal194(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal195(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal196(int di){
float df=di;

return df;}
public static float formuleCanal197(int di){
float df=di;

return df;}
public static float formuleCanal198(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal199(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal200(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal201(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal202(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal203(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal204(int di){
float df=di;
df = 0.1f * (di * Util.PE_FARCEL - Util.OF_FARCEL);
return df;}
public static float formuleCanal205(int di){
float df=di;
df = 0.1f * (di * Util.PE_FARCEL - Util.OF_FARCEL);
return df;}
public static float formuleCanal206(int di){
float df=di;

return df;}
public static float formuleCanal207(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal208(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal209(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal210(int di){
float df=di;
	if (df > 360.0f)
	df -= 720;	df *= 0.5;
return df;}
public static float formuleCanal211(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal212(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal213(int di){
float df=di;

return df;}
public static float formuleCanal214(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal215(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal216(int di){
float df=di;

return df;}
public static float formuleCanal217(int di){
float df=di;

return df;}
public static float formuleCanal218(int di){
float df=di;

return df;}
public static float formuleCanal219(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal220(int di){
float df=di;

return df;}
public static float formuleCanal221(int di){
float df=di;

return df;}
public static float formuleCanal222(int di){
float df=di;
di = di / 60;
df = (float) ((di - di * 60.0) * 0.01 + di);
return df;}
public static float formuleCanal223(int di){
float df=di;

return df;}
public static float formuleCanal224(int di){
float df=di;

return df;}
public static float formuleCanal225(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal226(int di){
float df=di;
di = di / 60;
df = (float) ((di - di * 60.0) * 0.01 + di);
return df;}
public static float formuleCanal227(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal228(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal229(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal230(int di){
float df=di;
df = (df - 999.0f) * (Util.KMHNOEUD * 0.01f);
return df;}
public static float formuleCanal231(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal232(int di){
float df=di;
df = (df - 999.0f) * (Util.KMHNOEUD * 0.01f);
return df;}
public static float formuleCanal233(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal234(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal235(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal236(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal237(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal238(int di){
float df=di;

return df;}
public static float formuleCanal239(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal240(int di){
float df=di;

return df;}
public static float formuleCanal241(int di){
float df=di;

return df;}
public static float formuleCanal242(int di){
float df=di;

return df;}
public static float formuleCanal243(int di){
float df=di;

return df;}
public static float formuleCanal244(int di){
float df=di;

return df;}
public static float formuleCanal245(int di){
float df=di;

return df;}
public static float formuleCanal246(int di){
float df=di;

return df;}
public static float formuleCanal247(int di){
float df=di;

return df;}
public static float formuleCanal248(int di){
float df=di;

return df;}
public static float formuleCanal249(int di){
float df=di;

return df;}
public static float formuleCanal250(int di){
float df=di;

return df;}
public static float formuleCanal251(int di){
float df=di;

return df;}
public static float formuleCanal252(int di){
float df=di;

return df;}
public static float formuleCanal253(int di){
float df=di;

return df;}
public static float formuleCanal254(int di){
float df=di;

return df;}
public static float formuleCanal255(int di){
float df=di;

return df;}
public static float formuleCanal256(int di){
float df=di;
df = (df - 16384.0f) * 0.0002038736f;
return df;}
public static float formuleCanal257(int di){
float df=di;
df = (df - 16384.0f) * 0.0002038736f;
return df;}
public static float formuleCanal258(int di){
float df=di;
df = (df - 16384.0f) * 0.0002038736f;
return df;}
public static float formuleCanal259(int di){
float df=di;
df = (df - 16384.0f) * 0.01f;
return df;}
public static float formuleCanal260(int di){
float df=di;
df = (df - 16384.0f) * 0.01f;
return df;}
public static float formuleCanal261(int di){
float df=di;
df = (df - 16384.0f) * 0.01f;
return df;}
public static float formuleCanal262(int di){
float df=di;
df = (df - 16384.0f) * 0.001f;
return df;}
public static float formuleCanal263(int di){
float df=di;
df = (df - 16384.0f) * 0.001f;
return df;}
public static float formuleCanal264(int di){
float df=di;
df = (df - 16384.0f) * 0.001f;
return df;}
public static float formuleCanal265(int di){
float df=di;
df = (df - 16384.0f) * 0.02f;
return df;}
public static float formuleCanal266(int di){
float df=di;
df = (df - 16384.0f) * 0.02f;
return df;}
public static float formuleCanal267(int di){
float df=di;
df = -(df - 16384.0f) * 0.02f;
		while (df < 0)	df += 360.0;
	while (df >= 360.0)		df -= 360.0;
return df;}
public static float formuleCanal268(int di){
float df=di;
df = (df - 16384.0f) * 0.0002038736f;
return df;}
public static float formuleCanal269(int di){
float df=di;
df = (df - 16384.0f) * 0.0002038736f;
return df;}
public static float formuleCanal270(int di){
float df=di;
df = (df - 16384.0f) * 0.0002038736f;
return df;}
public static float formuleCanal271(int di){
float df=di;
df = (df - 16384.0f) * 0.01f;
return df;}
public static float formuleCanal272(int di){
float df=di;
df = (df - 16384.0f) * 0.01f;
return df;}
public static float formuleCanal273(int di){
float df=di;
df = (df - 16384.0f) * 0.01f;
return df;}
public static float formuleCanal274(int di){
float df=di;
df = (df - 16384.0f) * 0.001f;
return df;}
public static float formuleCanal275(int di){
float df=di;
df = (df - 16384.0f) * 0.001f;
return df;}
public static float formuleCanal276(int di){
float df=di;
df = (df - 16384.0f) * 0.001f;
return df;}
public static float formuleCanal277(int di){
float df=di;
df = (df - 16384.0f) * 0.02f;
return df;}
public static float formuleCanal278(int di){
float df=di;
df = (df - 16384.0f) * 0.02f;
return df;}
public static float formuleCanal279(int di){
float df=di;
df = -(df - 16384.0f) * 0.02f;
		while (df < 0)	df += 360.0;
	while (df >= 360.0)		df -= 360.0;
return df;}
public static float formuleCanal280(int di){
float df=di;

return df;}
public static float formuleCanal281(int di){
float df=di;
df = 0.01f * (float) (di);
return df;}
public static float formuleCanal282(int di){
float df=di;

return df;}
public static float formuleCanal283(int di){
float df=di;

return df;}
public static float formuleCanal284(int di){
float df=di;
df = 0.01f * (float) (di);
return df;}
public static float formuleCanal285(int di){
float df=di;

return df;}
public static float formuleCanal286(int di){
float df=di;

return df;}
public static float formuleCanal287(int di){
float df=di;
df = 0.01f * (float) (di);
return df;}
public static float formuleCanal288(int di){
float df=di;

return df;}
public static float formuleCanal289(int di){
float df=di;

return df;}
public static float formuleCanal290(int di){
float df=di;
df = 0.01f * (float) (di);
return df;}
public static float formuleCanal291(int di){
float df=di;

return df;}
public static float formuleCanal292(int di){
float df=di;

return df;}
public static float formuleCanal293(int di){
float df=di;
df = 0.01f * (float) (di);
return df;}
public static float formuleCanal294(int di){
float df=di;

return df;}
public static float formuleCanal295(int di){
float df=di;

return df;}
public static float formuleCanal296(int di){
float df=di;
df = 0.01f * (float) (di);
return df;}
public static float formuleCanal297(int di){
float df=di;

return df;}
public static float formuleCanal298(int di){
float df=di;

return df;}
public static float formuleCanal299(int di){
float df=di;
df = 0.01f * (float) (di);
return df;}
public static float formuleCanal300(int di){
float df=di;

return df;}
public static float formuleCanal301(int di){
float df=di;

return df;}
public static float formuleCanal302(int di){
float df=di;
df = 0.01f * (float) (di);
return df;}
public static float formuleCanal303(int di){
float df=di;

return df;}
public static float formuleCanal304(int di){
float df=di;

return df;}
public static float formuleCanal305(int di){
float df=di;
df = 0.01f * (float) (di);
return df;}
public static float formuleCanal306(int di){
float df=di;

return df;}
public static float formuleCanal307(int di){
float df=di;

return df;}
public static float formuleCanal308(int di){
float df=di;
df = 0.01f * (float) (di);
return df;}
public static float formuleCanal309(int di){
float df=di;

return df;}
public static float formuleCanal310(int di){
float df=di;

return df;}
public static float formuleCanal311(int di){
float df=di;
df = 0.01f * (float) (di);
return df;}
public static float formuleCanal312(int di){
float df=di;

return df;}
public static float formuleCanal313(int di){
float df=di;

return df;}
public static float formuleCanal314(int di){
float df=di;
df = 0.01f * (float) (di);
return df;}
public static float formuleCanal315(int di){
float df=di;

return df;}
public static float formuleCanal316(int di){
float df=di;

return df;}
public static float formuleCanal317(int di){
float df=di;
df = 0.01f * (float) (di);
return df;}
public static float formuleCanal318(int di){
float df=di;

return df;}
public static float formuleCanal319(int di){
float df=di;

return df;}
public static float formuleCanal320(int di){
float df=di;
df = 0.01f * (float) (di);
return df;}
public static float formuleCanal321(int di){
float df=di;

return df;}
public static float formuleCanal322(int di){
float df=di;

return df;}
public static float formuleCanal323(int di){
float df=di;
df = 0.01f * (float) (di);
return df;}
public static float formuleCanal324(int di){
float df=di;

return df;}
public static float formuleCanal325(int di){
float df=di;

return df;}
public static float formuleCanal326(int di){
float df=di;
df = 0.01f * (float) (di);
return df;}
public static float formuleCanal327(int di){
float df=di;

return df;}
public static float formuleCanal328(int di){
float df=di;

return df;}
public static float formuleCanal329(int di){
float df=di;
df = 0.01f * (float) (di);
return df;}
public static float formuleCanal330(int di){
float df=di;

return df;}
public static float formuleCanal331(int di){
float df=di;

return df;}
public static float formuleCanal332(int di){
float df=di;
df = 0.01f * (float) (di);
return df;}
public static float formuleCanal333(int di){
float df=di;

return df;}
public static float formuleCanal334(int di){
float df=di;

return df;}
public static float formuleCanal335(int di){
float df=di;
df = 0.01f * (float) (di);
return df;}
public static float formuleCanal336(int di){
float df=di;

return df;}
public static float formuleCanal337(int di){
float df=di;

return df;}
public static float formuleCanal338(int di){
float df=di;
df = 0.01f * (float) (di);
return df;}
public static float formuleCanal339(int di){
float df=di;

return df;}
public static float formuleCanal340(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal341(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal342(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal343(int di){
float df=di;

return df;}
public static float formuleCanal344(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal345(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal346(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal347(int di){
float df=di;

return df;}
public static float formuleCanal348(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal349(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal350(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal351(int di){
float df=di;

return df;}
public static float formuleCanal352(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal353(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal354(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal355(int di){
float df=di;

return df;}
public static float formuleCanal356(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal357(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal358(int di){
float df=di;
df = (float) (di >> 8) + 0.01f * (float) (di & 0x00FF);
return df;}
public static float formuleCanal359(int di){
float df=di;

return df;}
public static float formuleCanal360(int di){
float df=di;

return df;}
public static float formuleCanal361(int di){
float df=di;

return df;}
public static float formuleCanal362(int di){
float df=di;

return df;}
public static float formuleCanal363(int di){
float df=di;

return df;}
public static float formuleCanal364(int di){
float df=di;

return df;}
public static float formuleCanal365(int di){
float df=di;

return df;}
public static float formuleCanal366(int di){
float df=di;

return df;}
public static float formuleCanal367(int di){
float df=di;

return df;}
public static float formuleCanal368(int di){
float df=di;

return df;}
public static float formuleCanal369(int di){
float df=di;

return df;}
public static float formuleCanal370(int di){
float df=di;

return df;}
public static float formuleCanal371(int di){
float df=di;

return df;}
public static float formuleCanal372(int di){
float df=di;

return df;}
public static float formuleCanal373(int di){
float df=di;

return df;}
public static float formuleCanal374(int di){
float df=di;

return df;}
public static float formuleCanal375(int di){
float df=di;

return df;}
public static float formuleCanal376(int di){
float df=di;

return df;}
public static float formuleCanal377(int di){
float df=di;

return df;}
public static float formuleCanal378(int di){
float df=di;

return df;}
public static float formuleCanal379(int di){
float df=di;

return df;}
public static float formuleCanal380(int di){
float df=di;

return df;}
public static float formuleCanal381(int di){
float df=di;

return df;}
public static float formuleCanal382(int di){
float df=di;

return df;}
public static float formuleCanal383(int di){
float df=di;

return df;}
public static float formuleCanal384(int di){
float df=di;

return df;}
public static float formuleCanal385(int di){
float df=di;

return df;}
public static float formuleCanal386(int di){
float df=di;

return df;}
public static float formuleCanal387(int di){
float df=di;

return df;}
public static float formuleCanal388(int di){
float df=di;

return df;}
public static float formuleCanal389(int di){
float df=di;

return df;}
public static float formuleCanal390(int di){
float df=di;

return df;}
public static float formuleCanal391(int di){
float df=di;

return df;}
public static float formuleCanal392(int di){
float df=di;

return df;}
public static float formuleCanal393(int di){
float df=di;

return df;}
public static float formuleCanal394(int di){
float df=di;

return df;}
public static float formuleCanal395(int di){
float df=di;

return df;}
public static float formuleCanal396(int di){
float df=di;

return df;}
public static float formuleCanal397(int di){
float df=di;

return df;}
public static float formuleCanal398(int di){
float df=di;
df = (df - 999.0f) * (Util.KMHNOEUD * 0.01f);
return df;}
public static float formuleCanal399(int di){
float df=di;

return df;}
public static float formuleCanal400(int di){
float df=di;

return df;}
public static float formuleCanal401(int di){
float df=di;

return df;}
public static float formuleCanal402(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal403(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal404(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal405(int di){
float df=di;

return df;}
public static float formuleCanal406(int di){
float df=di;

return df;}
public static float formuleCanal407(int di){
float df=di;

return df;}
public static float formuleCanal408(int di){
float df=di;

return df;}
public static float formuleCanal409(int di){
float df=di;

return df;}
public static float formuleCanal410(int di){
float df=di;

return df;}
public static float formuleCanal411(int di){
float df=di;

return df;}
public static float formuleCanal412(int di){
float df=di;

return df;}
public static float formuleCanal413(int di){
float df=di;

return df;}
public static float formuleCanal414(int di){
float df=di;

return df;}
public static float formuleCanal415(int di){
float df=di;

return df;}
public static float formuleCanal416(int di){
float df=di;

return df;}
public static float formuleCanal417(int di){
float df=di;

return df;}
public static float formuleCanal418(int di){
float df=di;

return df;}
public static float formuleCanal419(int di){
float df=di;

return df;}
public static float formuleCanal420(int di){
float df=di;

return df;}
public static float formuleCanal421(int di){
float df=di;

return df;}
public static float formuleCanal422(int di){
float df=di;

return df;}
public static float formuleCanal423(int di){
float df=di;

return df;}
public static float formuleCanal424(int di){
float df=di;

return df;}
public static float formuleCanal425(int di){
float df=di;

return df;}
public static float formuleCanal426(int di){
float df=di;

return df;}
public static float formuleCanal427(int di){
float df=di;

return df;}
public static float formuleCanal428(int di){
float df=di;

return df;}
public static float formuleCanal429(int di){
float df=di;

return df;}
public static float formuleCanal430(int di){
float df=di;

return df;}
public static float formuleCanal431(int di){
float df=di;

return df;}
public static float formuleCanal432(int di){
float df=di;

return df;}
public static float formuleCanal433(int di){
float df=di;

return df;}
public static float formuleCanal434(int di){
float df=di;

return df;}
public static float formuleCanal435(int di){
float df=di;

return df;}
public static float formuleCanal436(int di){
float df=di;

return df;}
public static float formuleCanal437(int di){
float df=di;

return df;}
public static float formuleCanal438(int di){
float df=di;

return df;}
public static float formuleCanal439(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal440(int di){
float df=di;

return df;}
public static float formuleCanal441(int di){
float df=di;

return df;}
public static float formuleCanal442(int di){
float df=di;

return df;}
public static float formuleCanal443(int di){
float df=di;

return df;}
public static float formuleCanal444(int di){
float df=di;

return df;}
public static float formuleCanal445(int di){
float df=di;

return df;}
public static float formuleCanal446(int di){
float df=di;

return df;}
public static float formuleCanal447(int di){
float df=di;

return df;}
public static float formuleCanal448(int di){
float df=di;

return df;}
public static float formuleCanal449(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal450(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal451(int di){
float df=di;

return df;}
public static float formuleCanal452(int di){
float df=di;

return df;}
public static float formuleCanal453(int di){
float df=di;

return df;}
public static float formuleCanal454(int di){
float df=di;

return df;}
public static float formuleCanal455(int di){
float df=di;

return df;}
public static float formuleCanal456(int di){
float df=di;

return df;}
public static float formuleCanal457(int di){
float df=di;

return df;}
public static float formuleCanal458(int di){
float df=di;

return df;}
public static float formuleCanal459(int di){
float df=di;

return df;}
public static float formuleCanal460(int di){
float df=di;

return df;}
public static float formuleCanal461(int di){
float df=di;

return df;}
public static float formuleCanal462(int di){
float df=di;

return df;}
public static float formuleCanal463(int di){
float df=di;

return df;}
public static float formuleCanal464(int di){
float df=di;

return df;}
public static float formuleCanal465(int di){
float df=di;

return df;}
public static float formuleCanal466(int di){
float df=di;

return df;}
public static float formuleCanal467(int di){
float df=di;
df = 0.01f * (float) (di & 0x003F)
;df = df + (float) ((di & 0x3FC0) >> 6);
if ((di & 0x4000) == 0)
df *= -1.0;
return df;}
public static float formuleCanal468(int di){
float df=di;
df = 0.0001f * ((float) (di & 0x3FFF));
return df;}
public static float formuleCanal469(int di){
float df=di;
df = 0.01f * (float) (di & 0x003F)
;df = df + (float) ((di & 0x3FC0) >> 6);
if ((di & 0x4000) == 0)
df *= -1.0;
return df;}
public static float formuleCanal470(int di){
float df=di;
df = 0.0001f * ((float) (di & 0x3FFF));
return df;}
public static float formuleCanal471(int di){
float df=di;
df = (df - 16384.0f) * 0.01f;
return df;}
public static float formuleCanal472(int di){
float df=di;
df = (df - 999.0f) * (Util.KMHNOEUD * 0.01f);
return df;}
public static float formuleCanal473(int di){
float df=di;
df = (df - 999.0f) * (Util.KMHNOEUD * 0.01f);
return df;}
public static float formuleCanal474(int di){
float df=di;

return df;}
public static float formuleCanal475(int di){
float df=di;

return df;}
public static float formuleCanal476(int di){
float df=di;

return df;}
public static float formuleCanal477(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal478(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal479(int di){
float df=di;
df = (df - 999.0f) * (Util.KMHNOEUD * 0.01f);
return df;}
public static float formuleCanal480(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal481(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal482(int di){
float df=di;

return df;}
public static float formuleCanal483(int di){
float df=di;

return df;}
public static float formuleCanal484(int di){
float df=di;
df = (df - 16384.0f) * 0.01f;
return df;}
public static float formuleCanal485(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal486(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal487(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal488(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal489(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal490(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal491(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal492(int di){
float df=di;

return df;}
public static float formuleCanal493(int di){
float df=di;

return df;}
public static float formuleCanal494(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal495(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal496(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal497(int di){
float df=di;

return df;}
public static float formuleCanal498(int di){
float df=di;

return df;}
public static float formuleCanal499(int di){
float df=di;

return df;}
public static float formuleCanal500(int di){
float df=di;

return df;}
public static float formuleCanal501(int di){
float df=di;

return df;}
public static float formuleCanal502(int di){
float df=di;

return df;}
public static float formuleCanal503(int di){
float df=di;

return df;}
public static float formuleCanal504(int di){
float df=di;

return df;}
public static float formuleCanal505(int di){
float df=di;

return df;}
public static float formuleCanal506(int di){
float df=di;

return df;}
public static float formuleCanal507(int di){
float df=di;

return df;}
public static float formuleCanal508(int di){
float df=di;

return df;}
public static float formuleCanal509(int di){
float df=di;

return df;}
public static float formuleCanal510(int di){
float df=di;

return df;}
public static float formuleCanal511(int di){
float df=di;

return df;}
public static float formuleCanal512(int di){
float df=di;

return df;}
public static float formuleCanal513(int di){
float df=di;

return df;}
public static float formuleCanal514(int di){
float df=di;
df = (float) (4.0 - di);
return df;}
public static float formuleCanal515(int di){
float df=di;

return df;}
public static float formuleCanal516(int di){
float df=di;

return df;}
public static float formuleCanal517(int di){
float df=di;

return df;}
public static float formuleCanal518(int di){
float df=di;

return df;}
public static float formuleCanal519(int di){
float df=di;

return df;}
public static float formuleCanal520(int di){
float df=di;

return df;}
public static float formuleCanal521(int di){
float df=di;

return df;}
public static float formuleCanal522(int di){
float df=di;

return df;}
public static float formuleCanal523(int di){
float df=di;

return df;}
public static float formuleCanal524(int di){
float df=di;

return df;}
public static float formuleCanal525(int di){
float df=di;

return df;}
public static float formuleCanal526(int di){
float df=di;

return df;}
public static float formuleCanal527(int di){
float df=di;

return df;}
public static float formuleCanal528(int di){
float df=di;

return df;}
public static float formuleCanal529(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal530(int di){
float df=di;
df = (df - 999.0f) * (Util.KMHNOEUD * 0.01f);
return df;}
public static float formuleCanal531(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal532(int di){
float df=di;
df = (df - 999.0f) * (Util.KMHNOEUD * 0.01f);
return df;}
public static float formuleCanal533(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal534(int di){
float df=di;
df = (df - 999.0f) * (Util.KMHNOEUD * 0.01f);
return df;}
public static float formuleCanal535(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal536(int di){
float df=di;
df = (df - 999.0f) * (Util.KMHNOEUD * 0.01f);
return df;}
public static float formuleCanal537(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal538(int di){
float df=di;
df = (df - 999.0f) * (Util.KMHNOEUD * 0.01f);
return df;}
public static float formuleCanal539(int di){
float df=di;
df = (df - 999.0f) * (Util.PIEDM * 0.1f);
return df;}
public static float formuleCanal540(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal541(int di){
float df=di;

return df;}
public static float formuleCanal542(int di){
float df=di;

return df;}
public static float formuleCanal543(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal544(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal545(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal546(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal547(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal548(int di){
float df=di;

return df;}
public static float formuleCanal549(int di){
float df=di;

return df;}
public static float formuleCanal550(int di){
float df=di;

return df;}
public static float formuleCanal551(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal552(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal553(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal554(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal555(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal556(int di){
float df=di;

return df;}
public static float formuleCanal557(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal558(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal559(int di){
float df=di;

return df;}
public static float formuleCanal560(int di){
float df=di;

return df;}
public static float formuleCanal561(int di){
float df=di;

return df;}
public static float formuleCanal562(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal563(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal564(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal565(int di){
float df=di;

return df;}
public static float formuleCanal566(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal567(int di){
float df=di;
df = 0.1f * Util.PE_FARCEL * (di - 999.0f);
return df;}
public static float formuleCanal568(int di){
float df=di;
df = 0.1f * Util.PE_FARCEL * (di - 999.0f);
return df;}
public static float formuleCanal569(int di){
float df=di;
df = df - 999.0f;
return df;}
public static float formuleCanal570(int di){
float df=di;
df = (df - 999.0f) * 0.01f;
return df;}
public static float formuleCanal571(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal572(int di){
float df=di;
df = 0.1f * Util.PE_FARCEL * (di - 999.0f);
return df;}
public static float formuleCanal573(int di){
float df=di;
df = 0.1f * Util.PE_FARCEL * (di - 999.0f);
return df;}
public static float formuleCanal574(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal575(int di){
float df=di;

return df;}
public static float formuleCanal576(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal577(int di){
float df=di;

return df;}
public static float formuleCanal578(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal579(int di){
float df=di;

return df;}
public static float formuleCanal580(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal581(int di){
float df=di;

return df;}
public static float formuleCanal582(int di){
float df=di;

return df;}
public static float formuleCanal583(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal584(int di){
float df=di;

return df;}
public static float formuleCanal585(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal586(int di){
float df=di;

return df;}
public static float formuleCanal587(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal588(int di){
float df=di;

return df;}
public static float formuleCanal589(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal590(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal591(int di){
float df=di;
df = (float) (di + 1.0);
return df;}
public static float formuleCanal592(int di){
float df=di;
df = (float) (di + 1.0);
return df;}
public static float formuleCanal593(int di){
float df=di;
df = (float) (di + 1.0);
return df;}
public static float formuleCanal594(int di){
float df=di;

return df;}
public static float formuleCanal595(int di){
float df=di;
df = (float) (di + 1.0);
return df;}
public static float formuleCanal596(int di){
float df=di;
df = (float) (di + 1.0);
return df;}
public static float formuleCanal597(int di){
float df=di;

return df;}
public static float formuleCanal598(int di){
float df=di;

return df;}
public static float formuleCanal599(int di){
float df=di;

return df;}
public static float formuleCanal600(int di){
float df=di;
df = (float) (di + 1.0);
return df;}
public static float formuleCanal601(int di){
float df=di;
df = (float) (di + 1.0);
return df;}
public static float formuleCanal602(int di){
float df=di;
df = (float) (di + 1.0);
return df;}
public static float formuleCanal603(int di){
float df=di;
df = (float) (di + 1.0);
return df;}
public static float formuleCanal604(int di){
float df=di;
df = (float) (di + 1.0);
return df;}
public static float formuleCanal605(int di){
float df=di;

return df;}
public static float formuleCanal606(int di){
float df=di;
df = (float) (di + 1.0);
return df;}
public static float formuleCanal607(int di){
float df=di;

return df;}
public static float formuleCanal608(int di){
float df=di;

return df;}
public static float formuleCanal609(int di){
float df=di;
df *= (Util.KMHNOEUD * 0.01);
return df;}
public static float formuleCanal610(int di){
float df=di;
df *= (Util.KMHNOEUD * 0.01);
return df;}
public static float formuleCanal611(int di){
float df=di;
df *= (Util.PIEDM * 0.1);
return df;}
public static float formuleCanal612(int di){
float df=di;
df *= (Util.PIEDM * 0.1);
return df;}
public static float formuleCanal613(int di){
float df=di;

return df;}
public static float formuleCanal614(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal615(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal616(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal617(int di){
float df=di;

return df;}
public static float formuleCanal618(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal619(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal620(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal621(int di){
float df=di;

return df;}
public static float formuleCanal622(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal623(int di){
float df=di;
df = 0.1f * (di * Util.PE_FARCEL - Util.OF_FARCEL);
return df;}
public static float formuleCanal624(int di){
float df=di;
df = 0.1f * (di * Util.PE_FARCEL - Util.OF_FARCEL);
return df;}
public static float formuleCanal625(int di){
float df=di;
df = 0.1f * (di * Util.PE_FARCEL - Util.OF_FARCEL);
return df;}
public static float formuleCanal626(int di){
float df=di;
df = 0.1f * (di * Util.PE_FARCEL - Util.OF_FARCEL);
return df;}
public static float formuleCanal627(int di){
float df=di;

return df;}
public static float formuleCanal628(int di){
float df=di;

return df;}
public static float formuleCanal629(int di){
float df=di;

return df;}
public static float formuleCanal630(int di){
float df=di;

return df;}
public static float formuleCanal631(int di){
float df=di;
df *= 0.01;
return df;}
public static float formuleCanal632(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal633(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal634(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal635(int di){
float df=di;

return df;}
public static float formuleCanal636(int di){
float df=di;
	if (df > 180.0)	
df -= 360.0;
return df;}
public static float formuleCanal637(int di){
float df=di;

return df;}
public static float formuleCanal638(int di){
float df=di;

return df;}
public static float formuleCanal639(int di){
float df=di;

return df;}
public static float formuleCanal640(int di){
float df=di;

return df;}
public static float formuleCanal641(int di){
float df=di;

return df;}
public static float formuleCanal642(int di){
float df=di;

return df;}
public static float formuleCanal643(int di){
float df=di;

return df;}
public static float formuleCanal644(int di){
float df=di;

return df;}
public static float formuleCanal645(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal646(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal647(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal648(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal649(int di){
float df=di;

return df;}
public static float formuleCanal650(int di){
float df=di;

return df;}
public static float formuleCanal651(int di){
float df=di;

return df;}
public static float formuleCanal652(int di){
float df=di;

return df;}
public static float formuleCanal653(int di){
float df=di;
df *= (Util.KMHNOEUD * 0.01);
return df;}
public static float formuleCanal654(int di){
float df=di;

return df;}
public static float formuleCanal655(int di){
float df=di;

return df;}
public static float formuleCanal656(int di){
float df=di;

return df;}
public static float formuleCanal657(int di){
float df=di;

return df;}
public static float formuleCanal658(int di){
float df=di;

return df;}
public static float formuleCanal659(int di){
float df=di;

return df;}
public static float formuleCanal660(int di){
float df=di;
df = (float) (di + 1.0);
return df;}
public static float formuleCanal661(int di){
float df=di;
df = 5.0f * df + 70.0f;
return df;}
public static float formuleCanal662(int di){
float df=di;

return df;}
public static float formuleCanal663(int di){
float df=di;
df *= 0.1;
return df;}
public static float formuleCanal664(int di){
float df=di;

return df;}
public static float formuleCanal665(int di){
float df=di;

return df;}
public static float formuleCanal666(int di){
float df=di;

return df;}
public static float formuleCanal667(int di){
float df=di;

return df;}
public static float formuleCanal668(int di){
float df=di;
if (df > 540.0)
	df -= 1080.0;
	df *= 0.3333333333333333f;
return df;}
public static float formuleCanal669(int di){
float df=di;
if (df > 540.0)
	df -= 1080.0;
	df *= 0.3333333333333333f;
return df;}
public static float formuleCanal670(int di){
float df=di;

return df;}
public static float formuleCanal671(int di){
float df=di;

return df;}
public static float formuleCanal672(int di){
float df=di;

return df;}
public static float formuleCanal673(int di){
float df=di;

return df;}
public static float formuleCanal674(int di){
float df=di;

return df;}
public static float formuleCanal675(int di){
float df=di;

return df;}
public static float formuleCanal676(int di){
float df=di;

return df;}
public static float formuleCanal677(int di){
float df=di;

return df;}
public static float formuleCanal678(int di){
float df=di;
if (df > 1800.0) 
df -= 3600.0;
	df *= 0.1;
return df;}
public static float formuleCanal679(int di){
float df=di;

return df;}
public static float formuleCanal680(int di){
float df=di;

return df;}
public static float formuleCanal681(int di){
float df=di;

return df;}
public static float formuleCanal682(int di){
float df=di;

return df;}
public static float formuleCanal683(int di){
float df=di;

return df;}
public static float formuleCanal684(int di){
float df=di;

return df;}
public static float formuleCanal685(int di){
float df=di;

return df;}
public static float formuleCanal686(int di){
float df=di;

return df;}
public static float formuleCanal687(int di){
float df=di;

return df;}
public static float formuleCanal688(int di){
float df=di;

return df;}
public static float formuleCanal689(int di){
float df=di;

return df;}
public static float formuleCanal690(int di){
float df=di;

return df;}
public static float formuleCanal691(int di){
float df=di;

return df;}
public static float formuleCanal692(int di){
float df=di;

return df;}
public static float formuleCanal693(int di){
float df=di;

return df;}
public static float formuleCanal694(int di){
float df=di;

return df;}
public static float formuleCanal695(int di){
float df=di;

return df;}
public static float formuleCanal696(int di){
float df=di;

return df;}
public static float formuleCanal697(int di){
float df=di;

return df;}
public static float formuleCanal698(int di){
float df=di;

return df;}
public static float formuleCanal699(int di){
float df=di;
df=(di>>12)&0x3;
return df;}
public static float formuleCanal700(int di){
float df=di;
df=(di>>8)&0xf;
return df;}
public static float formuleCanal701(int di){
float df=di;
df=(di>>4)&0xf;
return df;}
public static float formuleCanal702(int di){
float df=di;
df=di&0xf;
return df;}
public static float formuleCanal703(int di){
float df=di;
df=0.666f*((di>>12)&0x7);
return df;}
public static float formuleCanal704(int di){
float df=di;
df=0.666f*((di>>8)&0x7);
return df;}
public static float formuleCanal705(int di){
float df=di;
df=2.0f*((di>>4)&0xf);
return df;}
public static float formuleCanal706(int di){
float df=di;
df=2.0f*((di)&0xf);
return df;}
public static float formuleCanal707(int di){
float df=di;
df=8.0f*((di>>10)&0x1f);
return df;}
public static float formuleCanal708(int di){
float df=di;
df=8.0f*((di>>5)&0x1f);
return df;}
public static float formuleCanal709(int di){
float df=di;
df=17.5f*((di)&0x1f);
return df;}
public static float formuleCanal710(int di){
float df=di;
df=(di>>12)&0x3;
return df;}
public static float formuleCanal711(int di){
float df=di;
df=(di>>8)&0xf;
return df;}
public static float formuleCanal712(int di){
float df=di;
df=(di>>4)&0xf;
return df;}
public static float formuleCanal713(int di){
float df=di;
df=di&0xf;
return df;}
public static float formuleCanal714(int di){
float df=di;
df=0.666f*((di>>12)&0x7);
return df;}
public static float formuleCanal715(int di){
float df=di;
df=0.666f*((di>>8)&0x7);
return df;}
public static float formuleCanal716(int di){
float df=di;
df=2.0f*((di>>4)&0xf);
return df;}
public static float formuleCanal717(int di){
float df=di;
df=2.0f*((di)&0xf);
return df;}
public static float formuleCanal718(int di){
float df=di;
df=8.0f*((di>>10)&0x1f);
return df;}
public static float formuleCanal719(int di){
float df=di;
df=8.0f*((di>>5)&0x1f);
return df;}
public static float formuleCanal720(int di){
float df=di;
df=17.5f*((di)&0x1f);
return df;}
public static float formuleCanal721(int di){
float df=di;

return df;}
public static float formuleCanal722(int di){
float df=di;

return df;}
public static float formuleCanal723(int di){
float df=di;

return df;}
public static float formuleCanal724(int di){
float df=di;

return df;}
public static float formuleCanal725(int di){
float df=di;

return df;}
public static float formuleCanal726(int di){
float df=di;

return df;}
public static float formuleCanal727(int di){
float df=di;

return df;}
public static float formuleCanal728(int di){
float df=di;

return df;}
public static float formuleCanal729(int di){
float df=di;

return df;}
public static float formuleCanal730(int di){
float df=di;

return df;}
public static float formuleCanal731(int di){
float df=di;

return df;}
public static float formuleCanal732(int di){
float df=di;

return df;}
public static float formuleCanal733(int di){
float df=di;

return df;}
public static float formuleCanal734(int di){
float df=di;

return df;}
public static float formuleCanal735(int di){
float df=di;

return df;}
public static float formuleCanal736(int di){
float df=di;

return df;}
public static float formuleCanal737(int di){
float df=di;

return df;}
public static float formuleCanal738(int di){
float df=di;

return df;}
public static float formuleCanal739(int di){
float df=di;

return df;}
public static float formuleCanal740(int di){
float df=di;

return df;}
public static float formuleCanal741(int di){
float df=di;

return df;}
public static float formuleCanal742(int di){
float df=di;

return df;}
public static float formuleCanal743(int di){
float df=di;

return df;}
public static float formuleCanal744(int di){
float df=di;

return df;}
public static float formuleCanal745(int di){
float df=di;

return df;}
public static float formuleCanal746(int di){
float df=di;

return df;}
public static float formuleCanal747(int di){
float df=di;

return df;}
public static float formuleCanal748(int di){
float df=di;

return df;}
public static float formuleCanal749(int di){
float df=di;

return df;}
public static float formuleCanal750(int di){
float df=di;

return df;}
public static float formuleCanal751(int di){
float df=di;

return df;}
public static float formuleCanal752(int di){
float df=di;

return df;}
public static float formuleCanal753(int di){
float df=di;

return df;}
public static float formuleCanal754(int di){
float df=di;

return df;}
public static float formuleCanal755(int di){
float df=di;

return df;}
public static float formuleCanal756(int di){
float df=di;

return df;}
public static float formuleCanal757(int di){
float df=di;

return df;}
public static float formuleCanal758(int di){
float df=di;

return df;}
public static float formuleCanal759(int di){
float df=di;

return df;}
public static float formuleCanal760(int di){
float df=di;

return df;}
public static float formuleCanal761(int di){
float df=di;

return df;}
public static float formuleCanal762(int di){
float df=di;

return df;}
public static float formuleCanal763(int di){
float df=di;

return df;}
public static float formuleCanal764(int di){
float df=di;

return df;}
public static float formuleCanal765(int di){
float df=di;

return df;}
public static float formuleCanal766(int di){
float df=di;

return df;}
public static float formuleCanal767(int di){
float df=di;

return df;}
}
